zabbix_export:
  version: '7.4'
  template_groups:
    - uuid: 3dcd5bbe90534f9e8eb5c2d53756af63
      name: Templates/Power
  templates:
    - uuid: 253ae970962e4d1e88f6f65555d3b3ae
      template: 'CyberPower UPS by USB'
      name: 'CyberPower UPS by USB'
      description: |
        Шаблон для работы с ИБП CyberPower, подключенных через USB, через фирменную программу PowerPanel
        v1.0.0
      groups:
        - name: Templates/Power
      items:
        - uuid: 919d893d87bf4d3ab6f88a369668824f
          name: 'Battery Capacity'
          key: ups.battery
          delay: 30s
          units: '%'
          description: 'Заряд батареи'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: 81d8e03fd976466fbab316747c6b73f5
          name: 'Firmware Number'
          key: ups.firmware
          delay: 15m
          value_type: CHAR
          description: 'Версия прошивки'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: 8ae33184ca614dc5853b60a672467619
          name: 'Utility Voltage'
          key: ups.input
          delay: 30s
          units: V
          description: 'Напряжение сети'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: 572975cc6ca940a5853ba0e130a7226b
          name: 'Last Power Event'
          key: ups.last_power_event
          value_type: CHAR
          description: 'Последнее событие по питанию'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: 061b945af6ff481381a2ba6b19de7360
          name: 'Line Interaction'
          key: ups.line_interaction
          delay: 30s
          value_type: CHAR
          description: |
            Взаимодействие с сетью:
            Возможные значения:
            None (нет). ИБП не выполняет коррекцию напряжения (например, стабилизацию) — просто передаёт сетевое напряжение на выход.
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: e5181d8183d34fea9473d163a894c7e6
          name: Load
          key: ups.load
          delay: 30s
          units: W
          description: 'Нагрузка в ваттах'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: 965be4626cad48f9b696c8587d97bf4b
          name: 'Load in percents'
          key: ups.load_perc
          delay: 30s
          units: '%'
          description: 'Нагрузка в процентах'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: c7d30ac7e5fe4e939aeabb5edfaa4fc5
          name: 'Model Name'
          key: ups.model
          delay: 15m
          value_type: CHAR
          description: 'Модель ИБП'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: 4e9ad341ef3a4f8088a3fa803c6ddd45
          name: 'Output Voltage'
          key: ups.output
          delay: 30s
          units: V
          description: 'Выходное напряжение'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: 23275eba1a634b9c928005453b7b5a73
          name: 'Power Supply by'
          key: ups.power_supply
          delay: 30s
          value_type: CHAR
          description: 'Источник питания ИБП'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: 7e90033dab414d419af9e3209864f535
          name: 'Rating Power'
          key: ups.rating_power
          delay: 15m
          value_type: CHAR
          description: 'Максимальная мощность, на которую рассчитан ИБП'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: 2010496d22af4412beab8673e7e995e9
          name: 'Rating Voltage'
          key: ups.rating_voltage
          delay: 15m
          value_type: CHAR
          description: 'Стандартное напряжение сети, на которое рассчитан ИБП.'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: 84fb24c40e1e4c388d627a0507f7c0d1
          name: 'Remaining Runtime'
          key: ups.runtime
          delay: 30s
          units: мин.
          description: 'Оставшееся время работы. Оценка времени, в течение которого ИБП сможет питать нагрузку от батареи при текущем уровне заряда и потреблении.'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: 63519d939e994245badadcd87e2ff456
          name: 'UPS State'
          key: ups.state
          delay: 30s
          value_type: CHAR
          description: 'Состояние ИБП'
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
        - uuid: 039ec3d533d84fbc907dca7e376c520e
          name: 'Test Result'
          key: ups.test_result
          delay: 15m
          value_type: CHAR
          description: |
            Результат теста: 
            None (нет) тест не проводился.
            Passed (успешно) в указанную дату и время. ИБП прошёл самодиагностику (например, проверку батареи) без ошибок.
          preprocessing:
            - type: DISCARD_UNCHANGED_HEARTBEAT
              parameters:
                - 6h
      tags:
        - tag: class
          value: power
        - tag: target
          value: cyberpower
